Put Organization Custom License Scan Settings
put
https://app.fossa.com/api/organizations/{id}/settings/integrations/custom-license-scansUpdate custom license scan settings for an organization
Path parameters
idintegerrequiredOrganization ID
Request body · application/json
object[]
Responses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenmessagestringMessage describing the error
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Bearer
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/integrations/custom-license-scanscurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/integrations/custom-license-scans' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '[ { "id": 1, "name": "Proprietary License", "matchCriteria": "[Pp]roprietary [Ll]icense" }, { "id": null, "name": "Custom License", "matchCriteria": "[Cc]ustom [Ll]icense" }]'Real request. Mutating methods can change data.
Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.
Path params
idintegerrequiredOrganization ID
application/json